#!/bin/sh
JP2DIR=$1	#JP2 Directory
POLYGON=$2	#Crop Window
JOBS=${3:-1}


BOX=$(polygonToBox.py "$POLYGON")
if [ "$#" -le 1 ]; then
	echo "Usage " $0 " <Parent Directory with subdirectories> <POLYGON> [jobs]" 
	exit
fi

cd $JP2DIR
mkdir merge_out
ls -d */ | parallel -q --jobs $JOBS mergeImages.sh {} "$BOX"

find . -name *.xml -type f -delete

